﻿namespace Dsl.Demo

import System

abstract class DslBase:
	
	[property(Entity)]
	entity as object

	def OnCreate(entity as System.Type, action as callable()):
		print "added action to ${entity}"
		
	def BeginManualApprovalFor(order as Order):
		print "Begin manual process for ${order.Id}"

	abstract def Execute():
		pass
