﻿namespace Dsl.Demo

import System
import System.Reflection
import System.Collections

bootStrapping = CompilerBootStrapping(
		BaseTypeName: "System.Object"
	)
bootStrapping.References.Add( Assembly.GetExecutingAssembly() )
bootStrapping.Namespaces.Add("Dsl.Demo")
if not bootStrapping.Load("Sample.boo"):
	print "Compilation errors:"
	print bootStrapping.Errors.ToString(true)
	Console.ReadKey()
	return

instance as duck = Activator.CreateInstance(
		bootStrapping.GeneratedType
	)
instance.Execute()
Console.ReadKey()
